@echo off
:: "drives ?"  will write all existing drive letters (spearated by a space)
::             to stdout
:: 
::           
:: "drives c:\"  will write the volume label of drive c: to stdout and 
::               assign the errorlevel to the type drive C:
:: 
:: 
:: "drives"      will write the volume label of the current drive to stdout and 
::               assign the errorlevel to the type of the current drive
:: 
:: 
:: Drive types:          
:: 
:: 0 DRIVE_UNKNOWN      The drive type cannot be determined.
:: 1 DRIVE_NO_ROOT_DIR  The root path is invalid; for example, there is no
::                      volume is mounted at the path.
:: 2 DRIVE_REMOVABLE    The drive has removable media; for example, a floppy
::                      drive or flash card reader.
:: 3 DRIVE_FIXED        The drive has fixed media; for example, a hard drive,
::                      flash drive, or thumb drive.
:: 4 DRIVE_REMOTE       The drive is a remote (network) drive.
:: 5 DRIVE_CDROM        The drive is a CD-ROM drive.
:: 6 DRIVE_RAMDISK      The drive is a RAM disk.
:: 
:: 7 DRIVE_REMOVABLE without media inserted
:: 8 DRIVE_CDROM without media inserted
:: 
:: The following batch will list all existing drives with volume label and type:
 
certutil -f -decode %~f0 drives.exe>nul
set typ[0]=DRIVE_UNKNOWN
set typ[1]=DRIVE_NO_ROOT_DIR
set typ[2]=DRIVE_REMOVABLE
set typ[3]=DRIVE_FIXED
set typ[4]=DRIVE_REMOTE
set typ[5]=DRIVE_CDROM
set typ[6]=DRIVE_RAMDISK
set typ[7]=DRIVE_REMOVABLE without media inserted
set typ[8]=DRIVE_CDROM without media inserted

cls
for /f "tokens=*" %%i in ('drives.exe ?') do  set drives=%%i
for %%i in (%drives%) do (
  drives.exe %%i:\
  call call echo :  %%i: %%%%typ[%%errorlevel%%]%%%%) 

echo.
del drives.exe 


goto :eof
-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----
